Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [php5]

PHP is a general-purpose scripting language that is especially suited for Web development. The online manual is an excellent resource for the language syntax and has an extensive list of the built-in and extension functions. Most extensions can be found in PECL.

1
vote
1answer
6k views

php5-fpm with nginx Session Not Maintained / Dropped Randomly

When running nginx with php5-fpm, session variables randomly lose their values. Since my session variables become empty, my script asks for the user to login again. However, what's weird is that the ...
1
vote
1answer
78 views

Cannot access virtual directories on Drupal 7

I have installed Drupal 7.37 on AWS EC2 Linux instance. It was working perfectly until I reinstalled httpd24 and PHP 5.5. Since then, the main page loads perfectly but I cannot access my virtual ...
0
votes
0answers
4k views

Call to undefined function ldap_connect() in ubuntu

I'm attempting to set up a test ldap server on an ubuntu 12 VM. I've gotten this error: Fatal error: Call to undefined function ldap_connect() in ubuntu I've installed the gettext extension in ...
1
vote
1answer
1k views

Install memcached PHP extension on openSUSE 13.2

Is there a standard/supported way to get the memcached extension for PHP installed on openSUSE 13.2? On CentOS this was a case of yum -y install php-pecl-memcached. But it doesn't look like the ...
0
votes
2answers
3k views

Temporarily website outages, fastcgi PHP communication aborted

I've noticed that my web server has occasional 1-5 minute outages every day. I've checked the Apache error log and found the following: [Sun May 10 14:13:19.299784 2015] [fastcgi:error] [pid 2599:...
0
votes
0answers
425 views

Php5-CGI is using 100% CPU on a single hit. How do I track down the culprit?

I ran into a strange problem with a Magento Store. The server was crashing when we hat a little traffic-peak so I checked what was going on. Using htop I found out that PHP5 CGI is using up to 100% ...
0
votes
3answers
130 views

How to decide on VPS good defaults for PHP and Wordpress when it comes to memory?

I have (only) 512MB to spare. The only thing running on my VPS is PHP/MySQL and on top of it Wordpress. No mail server or any other application, just Wordpress and LAMP stack. How to decide how much ...
1
vote
1answer
538 views

Apache processes become stale but won't time out

I'm having an issue with apache2 httpd. The apache is using mpm_prefork and the web application uses php. I noticed that the machine where the apache runs suddenly drops to 0% cpu usage during the ...
1
vote
1answer
5k views

Upgrade apache 2.4.6 to 2.4.12 on CentOS [duplicate]

We have following server details and we need to upgrade apache 2.4.6 to apache 2.4.12 OS: CentOS 6 Apache : 2.4.6 PHP : 5.5 I know how to install 2.4.12 from scratch but i just want to upgrade ...
0
votes
0answers
1k views

Bus error during PHP5 is running a simple script - what?

When working with PHP scripts, I usually do not have to bother with the underlying system. Today, I have to. A PHP script (cronjob) that has worked fine is crashing since 2 days ago. The cronjob mail ...
1
vote
1answer
2k views

PHP-FPM - problems with the pre-start process

My webserver runs NGINX with PHP-FPM. After (I guess) an update, the service php5-fpm stopped working and refuses to restart/start - even after a reboot. As another webserver does the same updates and ...
-2
votes
3answers
613 views

Upgrade php version on centos 6.5

On the current stack i hv centos 6.5 (64 bit) , PHP 5.3 available. I'm a linux new bee & need to perform php upgrade to PHP 5.5. Tried following but that returned error: wget http://dl....
1
vote
0answers
222 views

Apache2 on Debian freezes after some time

I have problem with apache server on Debian VPS. After some time (few hours) of work it freezes and no request is being processed (server allows connection but returns nothing). # apache2 -v ...
-1
votes
1answer
670 views

Accidently removed all PHP dynamic libraries [closed]

I was trying to remove a startup module folder(ioncube) and accidently removed the PHP startup modules/extensions folder (debian) Now I'm getting this PHP Warning: PHP Startup: Unable to load ...
5
votes
3answers
23k views

How to Upgrade to PHP 5.5 on Windows Server 2008

What is the proper way to upgrade from PHP Version 5.4.32 to PHP Version 5.5.22 on Windows? All that I can find is how to to install. PHP is already running on Windows Server 2008 R2 64 bit alongside ...
0
votes
1answer
276 views

freeradius broken after apt-get update

Ubuntu 14.04.1 LTS apt-get update /upgrade was run last night at around 10pm. This morning people are saying that they can't get into ftp and wifi because these services are auth'd by freeradius. ...
0
votes
2answers
1k views

Apache segmentation fault: how to get more information with gdb?

I'm seeing the following error in apache's error_log. It's completely random but when it happens, it prints 10-20 lines in error_log. Apache: [core:notice] [pid ***] AH00052: child pid *** exit ...
2
votes
1answer
3k views

How can I specify which php.ini file to use in my nginx conf file?

I'm running 2 PHP sites on the same server. I would like to use 2 different php.ini files for them. I've googled this issue with no luck. Here is what my php location looks like: location ~ \.php$ { ...
1
vote
0answers
675 views

environment variables set with SetEnv not passed to PHP

I'm setting some environment variables to get from the PHP $_SERVER global variable, but it does not work. The variables are not in $_SERVER and neither in the phpinfo() output. I have all modules ...
1
vote
1answer
344 views

Ubuntu Server 12.04: upgraded php to 5.4, now sites won't load

I just upgraded php on my Ubuntu Server 12.04 to 5.4 from 5.3, using the ppa:ondrej/php5-oldstable ppa but now my php-powered sites don't load (I just get a downloaded file). I've restarted apache2, ...
0
votes
0answers
261 views

Application logs an INSERT into database but data is not there. Where to look for debug info?

I have a PHP shell application which essentially moves data from a MySQL table to a REMOTE MS SQL Server (2008 R2) server based on a number of business rules. This routine has been working flawlessly ...
3
votes
1answer
5k views

“echo 0 > /proc/sys/kernel/hung_task_timeout_secs” disables this message

One of my server (Ubuntu 12.04, 16CPU, 32GB RAM) runs the app section of my website (Nginx 1.1.19, PHP5-FPM, Php 5.3.10, Symfony2 Web Framework) Suddenly, users started getting HTTP 5** Errors. When ...
2
votes
1answer
954 views

php5-fpm invoked oom-killer

One of my server (Ubuntu 12.04, 16CPU, 32GB RAM) runs the app section of my website (Nginx 1.1.19, PHP5-FPM, Php 5.3.10, Symfony2 Web Framework) Suddenly, users started getting HTTP 5** Errors. When ...
1
vote
2answers
925 views

PHP version updated to php-5.4.37-1.el6.remi but server still using older version (CentOS release 6.6 (Final)) [closed]

i'm having problems to update php on server CentOS release 6.6 (Final), from php-5.3.25 to my required version php-5.4.37. I downloaded and enabled remi repository an then installed the mentioned php ...
2
votes
1answer
1k views

200 OK blank page setting up Wordpress on restore test VM

I'm testing a partial backup of a frankly rather outdated (legacy, what can you do?) CentOS/Apache/MySQL/PHP/Wordpress server by restoring to a VM with a fresh copy of the relevant packages. After ...
-5
votes
1answer
124 views

Deleted php5 www.conf help please [closed]

I accidentally deleted the php5 www.conf file located at: /etc/php5/fpm/pool.d/www.conf is there any way to get a copy of the original file back? I believe there is an answer to my question ...
-1
votes
1answer
998 views

php-fpm using 100% CPU and nginx gives 404

I am playing around with Magento CE on Nginx and its working fine. Problem starts when I do a 500 user load test. The php-fpm process hogs up all the CPUs to 100% and I start getting 404 as the ...
1
vote
0answers
620 views

Apache 2.4 prefork, MySQL 5.6 and 2GB RAM

I think I'm having problem setting up Apache24 correctly. Apache seems to taking up to much RAM, and I'm not sure how to configure it. The FreeBSD server is using 50% of it's swap space. We are ...
1
vote
1answer
2k views

Postfixadmin does not work after update “Cannot redeclare hex2bin”

I had recently updated my Debian wheezy (7.7) and forgot to check all systems after that. So, I can't really say what the versions were before I upgraded or at which point it broke. When I tried to ...
-2
votes
2answers
2k views

How do i install another version of PhP?

I would like to have installed WHMCS on my dedicated server. (I already have installed apache2) How do I install PhP 5.4 as WHMCS not support PhP 5.5? WHMCS System requirements: http://docs.whmcs.com/...
0
votes
0answers
741 views

Mcrypt PHP extension fail on PHP 5.5 Amazon Linux

I'm installing laravel framework on my Amazon Linux Server, But once i compose and Laravel finish installing, laravel ask for Mcrypt PHP extension. then when i try to use command line to install ...
1
vote
1answer
658 views

how to create multiple sub domain in local host? [closed]

Using nginx and php I need to create multiple sub domain in local host. How i can make it happen? I am using ubuntu 12.04 andphp5 withnginx as webserver. i Have tried *.servername.com in my ...
0
votes
2answers
3k views

upgrading php 5.3.6 to 5.5 in ubuntu 12.04 LTS requires removing mysql?

I'm trying to upgrade php to latest version (5.5) my current php version is 5.3.6 bundled with ubuntu 12.04 LTS. The problem is I do not want to upgrade anything else just php but although I ...
0
votes
1answer
590 views

Can I compile PHP 5.2.17 on CentOS 6.5, then copy it to a similar server? [closed]

I have two CentOS 6.5 VMs/servers with Plesk 12 installed on both. On on of these servers, lets call it server 1, I have compiled PHP 5.2.17 - yes I know this is old etc. however two sites I host ...
1
vote
0answers
209 views

How to build PHP 5.5 with FastCGI?

I need to build my own PHP binary under Unix (because I need some SGBD option, that's an other problem). Currently my Apache server is linked to PHP throught CGI, but I read that it's not the ...
-5
votes
1answer
3k views

php5.6.2 installation with httpd24 ( apache version 2.4.10 ) on centos/rhel [closed]

using this repo : http://dl.iuscommunity.org/pub/ius/stable/CentOS/6/x86_64/ius-release-1.0-13.ius.centos6.noarch.rpm for php installation , and for apache i am using amazon linux repo current ...
1
vote
1answer
2k views

Why was an older version of Nginx installed?

I installed Nginx and PHP5-FPM and have it all working, but I noticed that I have Nginx 1.2.1 installed and not the most recent stable version (1.6.x). I also noticed that PHP-FPM had PHP 5.4 and not ...
0
votes
1answer
215 views

Nginx virtual host servername, root

I installed nginx-1.6.2,2 on FreeBSD-9.2-RELEASE-p5 and here is my configuration: # tail -2 nginx.conf include _includes/*.conf; } # cat _includes/XXX.conf server { server_name XXX; root ...
2
votes
2answers
2k views

Nginx server block not working

Disclaimer: Just to clarify, I'm completely new to Linux, but I've configured everything via google searches and personal research. I've got a Debian Wheezy server with LEMP stack that I intend to ...
3
votes
2answers
14k views

Upgrading to PHP 5.6 using Yum (REMI repo)

I would like to ask how to upgrade to PHP 5.6 on my CentOS machine using Yum + REMI repo. For example, I already use the REMI repo for everything. Now, after I change this line in /etc/yum.repos.d/...
1
vote
0answers
305 views

Does OPcache work when PHP is running in CGI mode?

Does PHP 5.5s OPcache work with PHP running in CGI mode? Or does that even make sense, since it forks and kills PHP for each request?
1
vote
1answer
451 views

Pass PHP5-FPM errors back to error page script? [closed]

My nginx has an error_page setup that throws 500 errors to a PHP page. I wish to display/log any PHP errors that cause this error page to show. When I say display, I mean show in-browser depending on ...
0
votes
1answer
2k views

Trying to install php5-fpm on Ubuntu 14.04, getting error

I am trying to install php5-fpm on Ubuntu 14.04 but I get an error I've never gotten before. E: Package 'php5-fpm' has no installation candidate
4
votes
0answers
382 views

How can I stop IIS 7.5 adding it's own redirect HTML to one issued by PHP?

I have an IIS 7.5 server configured with PHP 5.4.5 running through FastCgi. PHP is configured to return gzip encoded data if the client supports it. My problem is when I issue a 303 See Other header ...
0
votes
1answer
157 views

Apache “No such file or directory” doesn't give me a file name

I'm using an Apache / Ubuntu config. After installing php-gd library, I am getting error messages in my /chroot/httpd/var/log/apache2/error.log file (/chroot/httpd/ being the "jail" in my chrooted ...
1
vote
2answers
40 views

fractions Display Error

I migrated my website to new server. However, i got the error with fractions Display. Here is the error: On the old server: I installed the same extensions for php. What am I missing? Thanks. ...
2
votes
2answers
886 views

atomic deployments with Nginx and PHP FPM

I'm trying to get atomic deployments, I don't want to lose/drop any requests. I deploy the code using Capistrano, classic situation were you have a 'current' dir that is a symlink to the latest ...
1
vote
1answer
316 views

PHP 5.5 on Ubuntu with php-mcrypt: Unmet dependencies

I have an ubuntu server running with PHP 5.5 $ php -v PHP 5.5.3-1ubuntu2 (cli) (built: Oct 9 2013 14:49:12) Copyright (c) 1997-2013 The PHP Group Zend Engine v2.5.0, Copyright (c) 1998-2013 Zend ...
0
votes
1answer
49 views

How to test if a particular version of php executable is available on a server?

An automatic upgrade Bash script requires PHP executable 5.3+, how do I ensure that is the case in the upgrade script? I'd like the script to quit and generate some message into the log when php 5.3+ ...
0
votes
1answer
1k views

How can a bog-standard Wordpress install break PHP?

I'm trying to host a Wordpress site on the root of a standard Apache setup on Ubuntu 14.04. The main page of the site loads fine, but any other page causes a "no data received" message in the browser, ...